# generated by cabal-rpm-2.1.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# testsuite missing deps: test-framework test-framework-hunit

Name:           bustle
Version:        0.8.0
Release:        %autorelease
Summary:        Draw sequence diagrams of D-Bus traffic

License:        LGPL-2.1-or-later
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources
# taken from ghc-hgettext
Patch0:         bustle-hgettext-Cabal24.patch
# https://gitlab.freedesktop.org/bustle/bustle/-/merge_requests/21
Patch1:         https://gitlab.freedesktop.org/bustle/bustle/-/merge_requests/21.patch

Requires:       gnome-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  help2man
# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk3-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
# End cabal-rpm deps
BuildRequires:  make

%description
Bustle records and draws sequence diagrams of D-Bus activity, showing signal
emissions, method calls and their corresponding returns, with timestamps for
each individual event and the duration of each method call. This can help you
check for unwanted D-Bus traffic, and pinpoint why your D-Bus-based application
isn't performing as well as you like. It also provides statistics like signal
frequencies and average method call times.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup
%patch -P0 -p1 -b .orig
%patch -P1 -p1 -b .orig


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
# End cabal-rpm install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSTALL="install -p" install
#%%find_lang %%{name}

rm %{buildroot}%{_datadir}/%{name}-%{version}/LICENSE


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.freedesktop.Bustle.desktop


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CONTRIBUTING.md NEWS.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
# End cabal-rpm files
%{_bindir}/%{name}-pcap
%{_datadir}/appdata/org.freedesktop.Bustle.appdata.xml
%{_datadir}/applications/org.freedesktop.Bustle.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}-pcap.1*


%changelog
%autochangelog
